magnifying-glassGet a subscription

Get subscription details

get

This endpoint retrieves the details of a specific subscription by ID.

Path parameters
subscription_idinteger · int64Required

Unique numeric identifier of the subscription to retrieve.

Example: 219
Header parameters
Content-TypestringRequired

Media type of the body sent to the API.

Default: application/json
X-Datestring · date-timeRequired

ISO8601 Datetime with Timezone (yyyy-MM-dd'T'HH:mm:ssZ)

X-LoginstringRequired

Merchant X-Login API Key.

AuthorizationstringRequired

Authorization control hash.

X-Idempotency-KeystringOptional

Unique idempotency key for ensuring that the same request is not processed more than once.

Responses
chevron-right
200

Subscription details retrieved successfully

application/json
idintegerRequired

Unique identifier of the subscription.

Example: 219
statusstring · enumRequired

Current status of the subscription.

Example: PENDINGPossible values:
start_datestring · dateRequired

Date when the subscription started or will start.

Example: 2020-10-10
end_datestring · dateOptional

Date when the subscription ended or will end.

Example: 2020-10-17
last_renovation_datestring · dateOptional

Date of the last renovation.

Example: 2020-10-03
creation_datestring · date-timeRequired

Timestamp when the subscription was created.

Example: 2025-05-28T15:58:20
subscription_planstring · enumRequired

Frequency plan of the subscription.

Example: WEEKLYPossible values:
plan_unitintegerRequired

The number of units for the subscription plan.

Example: 1
amountnumber · doubleRequired

Amount charged for the subscription.

Example: 21.9
auto_renewalbooleanRequired

Whether the subscription will automatically renew.

Example: true
last_modified_datestring · date-timeOptional

Timestamp when the subscription was last modified.

Example: 2025-02-18T13:49:16
renewalsintegerRequired

The number of times the subscription has been renewed.

Example: 2
cancellation_datestring · date · nullableOptional

The date the subscription was cancelled.

currencystringRequired

The currency of the subscription amount.

Example: BRL
last_charge_datestring · dateOptional

The date of the last charge attempt.

Example: 2020-10-03
payment_methodstringOptional

The payment method used for the subscription.

Example: VI
invoice_idstringOptional

The identifier for the invoice.

Example: INV-2020-0001
error_urlstring · uriOptional

URL to redirect the user to in case of an error.

Example: https://example.com/error
success_urlstring · uriOptional

URL to redirect the user to upon successful payment.

Example: https://example.com/success
back_urlstring · uriOptional

URL to redirect the user back to your site.

Example: https://example.com/back
descriptionstringOptional

A brief description of the subscription.

Example: Suscripción Semanal
countrystringRequired

The two-letter country code (ISO 3166-1 alpha-2).

Example: BR
get
/v3/subscriptions/{subscription_id}

Last updated

Was this helpful?